InboundRouterCollection (Mule ESB 2.2.1 API)
Keywords: org.mule.api.routing.InboundRouterCollection interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.routing
Interface InboundRouterCollection

All Superinterfaces:
  Disposable, Initialisable, RouterCollection

All Known Implementing Classes:
  DefaultInboundRouterCollection

    public interface InboundRouterCollection

extends RouterCollection

`DefaultInboundRouterCollection` manages a collection of inbound routers.

Field Summary

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Method Summary
`void` | `addEndpoint(InboundEndpoint endpoint)`
`void` | `addRouter(InboundRouter router)`
`InboundEndpoint` | `getEndpoint(String name)`
`List` | `getEndpoints()`
`boolean` | `removeEndpoint(InboundEndpoint endpoint)`
`InboundRouter` | `removeRouter(InboundRouter router)`
`MuleMessage` | `route(MuleEvent event)`
`void` | `setEndpoints(List endpoints)`

Methods inherited from interface org.mule.api.routing.RouterCollection
`addRouter, getCatchAllStrategy, getRouters, getStatistics, isMatchAll, removeRouter, setCatchAllStrategy, setMatchAll, setRouters, setStatistics`

Methods inherited from interface org.mule.api.lifecycle.Initialisable
`initialise`

Methods inherited from interface org.mule.api.lifecycle.Disposable
`dispose`

Method Detail

### route

    MuleMessage route(MuleEvent event)
                      throws MessagingException

  Throws:
    `MessagingException`

### addRouter

    void addRouter(InboundRouter router)

### removeRouter

    InboundRouter removeRouter(InboundRouter router)

### addEndpoint

    void addEndpoint(InboundEndpoint endpoint)

### removeEndpoint

    boolean removeEndpoint(InboundEndpoint endpoint)

### getEndpoints

    List getEndpoints()

### getEndpoint

    InboundEndpoint getEndpoint(String name)

  Parameters:
    `name` - the Endpoint identifier
  Returns:
    the Endpoint or null if the endpointUri is not registered
  See Also:
    `InboundRouterCollection`

### setEndpoints

    void setEndpoints(List endpoints)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.